package cn.com.qmth.examcloud.core.questions.service.yunkai;

import java.util.List;

public class KdQuestion {
	private Long id;
	private Integer number;
	private YunkaiQuesStructType qst;
	private Integer structType;
	private Boolean objective;
	private YunkaiDifficulty difficulty;
	private String body;
	private String answer;
	private String qtype;
	private Boolean haveAudio;
	private List<KdQuesOption> options;
	private List<Long> propIds;
	private Boolean valid;

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Integer getStructType() {
		return structType;
	}

	public void setStructType(Integer structType) {
		this.structType = structType;
	}

	public Boolean getObjective() {
		return objective;
	}

	public void setObjective(Boolean objective) {
		this.objective = objective;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public List<KdQuesOption> getOptions() {
		return options;
	}

	public void setOptions(List<KdQuesOption> options) {
		this.options = options;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getQtype() {
		return qtype;
	}

	public void setQtype(String qtype) {
		this.qtype = qtype;
	}

	public Boolean getHaveAudio() {
		return haveAudio;
	}

	public void setHaveAudio(Boolean haveAudio) {
		this.haveAudio = haveAudio;
	}

	public Boolean getValid() {
		return valid;
	}

	public void setValid(Boolean valid) {
		this.valid = valid;
	}


	public List<Long> getPropIds() {
		return propIds;
	}

	public void setPropIds(List<Long> propIds) {
		this.propIds = propIds;
	}

	public YunkaiQuesStructType getQst() {
		return qst;
	}

	public void setQst(YunkaiQuesStructType qst) {
		this.qst = qst;
	}

	public YunkaiDifficulty getDifficulty() {
		return difficulty;
	}

	public void setDifficulty(YunkaiDifficulty difficulty) {
		this.difficulty = difficulty;
	}


}
